For the complete documentation index, see llms.txt. This page is also available as Markdown.

Features (Infrastructure)

Configure features of fulfillmenttools.

List features

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

The available feature for all active modules

application/json

Feature

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
namestringRequired
statusstring · enumRequired

FeatureStatus

Possible values:
get/api/features
GET /api/features HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "created": "2020-02-03T08:45:51.525Z",
    "lastModified": "2020-02-03T09:45:51.525Z",
    "version": 42
  }
]

Get feature

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
featureNamestringRequired

Name of the feature requested

Responses
200

The requested feature

application/json

Feature

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
namestringRequired
statusstring · enumRequired

FeatureStatus

Possible values:
get/api/features/{featureName}
GET /api/features/{featureName} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "text",
  "status": "enabled",
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42
}

Update feature

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
featureNamestringRequired

Name of the feature requested

Body

FeaturePatchActions

versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
200

Module was found & patch-set has been applied. The patched entity is in the body.

application/json

Feature

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
namestringRequired
statusstring · enumRequired

FeatureStatus

Possible values:
patch/api/features/{featureName}
PATCH /api/features/{featureName} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 72

{
  "actions": [
    {
      "action": "ModifyFeature",
      "status": "enabled"
    }
  ],
  "version": 42
}
{
  "name": "text",
  "status": "enabled",
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42
}

List scoped capabilities

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
facilityIdstringOptional

id of the facility

Responses
200

All ScopedCapabilities which are at least inactive

application/json

ScopedCapability

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
currentUserPermissionsstring[]Optional
namestringRequired
statusstring · enumRequired

CapabilityStatus

Possible values:
get/api/scopedcapabilities
GET /api/scopedcapabilities HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "created": "2020-02-03T08:45:51.525Z",
    "lastModified": "2020-02-03T09:45:51.525Z",
    "version": 42
  }
]

Last updated

Was this helpful?